Package org.apache.tools.ant.types.mappers

# Class FilterMapper

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.FilterChain
org.apache.tools.ant.types.mappers.FilterMapper

All Implemented Interfaces:
  `java.lang.Cloneable`, `FileNameMapper`

    public class FilterMapper
    extends FilterChain
    implements FileNameMapper

This is a FileNameMapper based on a FilterChain.

## Field Summary

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`FilterMapper()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String[]` | `mapFileName​(java.lang.String sourceFileName)` | Return the result of the filters on the sourcefilename.
`void` | `setFrom​(java.lang.String from)` | From attribute not supported.
`void` | `setTo​(java.lang.String to)` | From attribute not supported.

### Methods inherited from class org.apache.tools.ant.types.FilterChain

`add, addClassConstants, addContainsRegex, addDeleteCharacters, addEscapeUnicode, addExpandProperties, addFilterReader, addHeadFilter, addIgnoreBlank, addLineContains, addLineContainsRegExp, addPrefixLines, addReplaceRegex, addReplaceString, addReplaceTokens, addStripJavaComments, addStripLineBreaks, addStripLineComments, addSuffixLines, addTabsToSpaces, addTailFilter, addTokenFilter, addTrim, dieOnCircularReference, getFilterReaders, setRefid`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, tooManyAttributes, toString`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FilterMapper

public FilterMapper()

## Method Details

### setFrom

public void setFrom​(java.lang.String from)
From attribute not supported.

Specified by:
  `setFrom` in interface `FileNameMapper`
Parameters:
  `from` - a string
Throws:
  `BuildException` - always

### setTo

public void setTo​(java.lang.String to)
From attribute not supported.

Specified by:
  `setTo` in interface `FileNameMapper`
Parameters:
  `to` - a string
Throws:
  `BuildException` - always

### mapFileName

public java.lang.String[] mapFileName​(java.lang.String sourceFileName)
Return the result of the filters on the sourcefilename.

Specified by:
  `mapFileName` in interface `FileNameMapper`
Parameters:
  `sourceFileName` - the filename to map
Returns:
  a one-element array of converted filenames, or null if the filterchain returns an empty string.